
// height field

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

#declare TEXTURE = texture { pigment {Orange}
                             finish {  ambient 0.35 }
                           }

#include "TRUNC.INC"

background { color red 0.30 green 0.30 blue 1.00 }

// Les numros 47 et 25 sont le coordonne de l'image TRUNC.TGA ou je veux
// placer mon objet et je les ai obtenu en visualisant le fichier
// TRUNC.TGA dans un programme comme GEM_VIEW ou STUDIO PHOTO

#declare X_obj1 = ((X_size/X_res)*47)+X_min
#declare Z_obj1 = ((Z_size/Y_res)*(Y_res+1-25))+Z_min
#declare Y_obj1 = Y_max

#declare X_obj2 = -2
#declare Z_obj2 = 0
// ce deux donne sont le centre de la montage cre dans la fonction B
// exp(1-(x-X_obj2)^2-(y-Y_obj2)^2)...
#declare Y_obj2 = ((Y_size/65535)*((231*256)+8))+Y_min
// 231 est la composante rouge et 8 celle verte du point ou je veux
// placer mon objet et je les ai obtenu avec STUDIO PHOTO

#declare Cipresso =
               union { intersection
                          {
                           sphere { < 0,0,0 >, 1 scale <37.5 ,100 ,37.5> }
                           plane { -y, 75.0}
                           translate <0 ,125 ,0>
                           texture { pigment { DarkGreen } }
                           bounded_by { box {  <-37.5  ,50, -37.5>
                                               < 37.5, 225,  37.5> } }
                          } // fine primo oggetto l'alto dell'albero
                       intersection
                          {
                           object { Cylinder_Y scale <12.5 ,1 ,12.5> }
                           box {  <-12.5  ,0 ,-12.5>
                                  < 12.5, 50 , 12.5> }
                           texture { DMFWood2 }
                           bounded_by { box { <-12.5 , 0, -12.5>
                                              < 12.5, 50,  12.5> } }
                          }  // fine tronco
                      } // fine union del cipresso

#declare Albero =
               union {
                      intersection
                         {
                          sphere{ <0, 100, 0> , 50 }
                          plane { -y , -62.5 }
                          texture { pigment { DarkGreen } }
                          bounded_by { sphere { <0, 100, 0>, 50 } }
                         } // fine primo oggetto l'alto dell'albero
                      intersection
                         {
                          object { Cylinder_Y  scale <12.5, 1, 12.5> }
                          box { <-12.5,  0, -12.5>
                                < 12.5, 62.5,  12.5> }
                          texture { DMFWood2 }
                          bounded_by { box { <-12.5,  0, -12.5>
                                             < 12.5, 62.5,  12.5> } }
                         } // fine object N2
                     }// fine composite del Alberello


object { NAME }

object { Cipresso scale < 0.005 , 0.005 , 0.005 >
                  translate < X_obj1 , Y_obj1 , Z_obj1 > }

object { Albero scale < 0.005 , 0.005 , 0.005 >
                  translate < X_obj2 , Y_obj2 , Z_obj2 > }

light_source { < 1000, 10000, 3000 > color White }

camera { Vue }

// END
