// POV-Ray version 2 scene file
// add you object here
// #declare ObjectToSlice = object { ... }

// #declare djb_MaxRot = 20 // You can change this

#declare djb_Object = object { ObjectToSlice }
#declare djb_NSlices = 100 // Don't touch!
#declare djb_1NSlices = 1/djb_NSlices // Don't touch!

#declare djb_Slice =
box
{
  <-1.5,0,-1.5> <1.5,djb_1NSlices,1.5>
  translate -0.5*y  scale <1,2,1> // move to bottom of cube
}

#declare djb_Bound =
box
{
  <-1.51,-0.01,-1.51> <1.51,djb_1NSlices+0.01,1.51>
  translate -0.5*y  scale <1,2,1> // move to bottom of cube
}
#declare djBox = union
{
  intersection // slice 1 of 100
  {
    object { djb_Object rotate 0/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*0/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*0/djb_NSlices*y }
  }
  intersection // slice 2 of 100
  {
    object { djb_Object rotate 1/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*1/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*1/djb_NSlices*y }
  }
  intersection // slice 3 of 100
  {
    object { djb_Object rotate 2/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*2/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*2/djb_NSlices*y }
  }
  intersection // slice 4 of 100
  {
    object { djb_Object rotate 3/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*3/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*3/djb_NSlices*y }
  }
  intersection // slice 5 of 100
  {
    object { djb_Object rotate 4/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*4/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*4/djb_NSlices*y }
  }
  intersection // slice 6 of 100
  {
    object { djb_Object rotate 5/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*5/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*5/djb_NSlices*y }
  }
  intersection // slice 7 of 100
  {
    object { djb_Object rotate 6/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*6/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*6/djb_NSlices*y }
  }
  intersection // slice 8 of 100
  {
    object { djb_Object rotate 7/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*7/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*7/djb_NSlices*y }
  }
  intersection // slice 9 of 100
  {
    object { djb_Object rotate 8/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*8/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*8/djb_NSlices*y }
  }
  intersection // slice 10 of 100
  {
    object { djb_Object rotate 9/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*9/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*9/djb_NSlices*y }
  }
  intersection // slice 11 of 100
  {
    object { djb_Object rotate 10/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*10/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*10/djb_NSlices*y }
  }
  intersection // slice 12 of 100
  {
    object { djb_Object rotate 11/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*11/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*11/djb_NSlices*y }
  }
  intersection // slice 13 of 100
  {
    object { djb_Object rotate 12/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*12/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*12/djb_NSlices*y }
  }
  intersection // slice 14 of 100
  {
    object { djb_Object rotate 13/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*13/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*13/djb_NSlices*y }
  }
  intersection // slice 15 of 100
  {
    object { djb_Object rotate 14/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*14/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*14/djb_NSlices*y }
  }
  intersection // slice 16 of 100
  {
    object { djb_Object rotate 15/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*15/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*15/djb_NSlices*y }
  }
  intersection // slice 17 of 100
  {
    object { djb_Object rotate 16/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*16/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*16/djb_NSlices*y }
  }
  intersection // slice 18 of 100
  {
    object { djb_Object rotate 17/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*17/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*17/djb_NSlices*y }
  }
  intersection // slice 19 of 100
  {
    object { djb_Object rotate 18/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*18/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*18/djb_NSlices*y }
  }
  intersection // slice 20 of 100
  {
    object { djb_Object rotate 19/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*19/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*19/djb_NSlices*y }
  }
  intersection // slice 21 of 100
  {
    object { djb_Object rotate 20/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*20/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*20/djb_NSlices*y }
  }
  intersection // slice 22 of 100
  {
    object { djb_Object rotate 21/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*21/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*21/djb_NSlices*y }
  }
  intersection // slice 23 of 100
  {
    object { djb_Object rotate 22/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*22/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*22/djb_NSlices*y }
  }
  intersection // slice 24 of 100
  {
    object { djb_Object rotate 23/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*23/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*23/djb_NSlices*y }
  }
  intersection // slice 25 of 100
  {
    object { djb_Object rotate 24/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*24/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*24/djb_NSlices*y }
  }
  intersection // slice 26 of 100
  {
    object { djb_Object rotate 25/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*25/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*25/djb_NSlices*y }
  }
  intersection // slice 27 of 100
  {
    object { djb_Object rotate 26/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*26/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*26/djb_NSlices*y }
  }
  intersection // slice 28 of 100
  {
    object { djb_Object rotate 27/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*27/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*27/djb_NSlices*y }
  }
  intersection // slice 29 of 100
  {
    object { djb_Object rotate 28/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*28/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*28/djb_NSlices*y }
  }
  intersection // slice 30 of 100
  {
    object { djb_Object rotate 29/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*29/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*29/djb_NSlices*y }
  }
  intersection // slice 31 of 100
  {
    object { djb_Object rotate 30/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*30/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*30/djb_NSlices*y }
  }
  intersection // slice 32 of 100
  {
    object { djb_Object rotate 31/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*31/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*31/djb_NSlices*y }
  }
  intersection // slice 33 of 100
  {
    object { djb_Object rotate 32/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*32/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*32/djb_NSlices*y }
  }
  intersection // slice 34 of 100
  {
    object { djb_Object rotate 33/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*33/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*33/djb_NSlices*y }
  }
  intersection // slice 35 of 100
  {
    object { djb_Object rotate 34/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*34/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*34/djb_NSlices*y }
  }
  intersection // slice 36 of 100
  {
    object { djb_Object rotate 35/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*35/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*35/djb_NSlices*y }
  }
  intersection // slice 37 of 100
  {
    object { djb_Object rotate 36/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*36/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*36/djb_NSlices*y }
  }
  intersection // slice 38 of 100
  {
    object { djb_Object rotate 37/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*37/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*37/djb_NSlices*y }
  }
  intersection // slice 39 of 100
  {
    object { djb_Object rotate 38/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*38/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*38/djb_NSlices*y }
  }
  intersection // slice 40 of 100
  {
    object { djb_Object rotate 39/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*39/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*39/djb_NSlices*y }
  }
  intersection // slice 41 of 100
  {
    object { djb_Object rotate 40/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*40/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*40/djb_NSlices*y }
  }
  intersection // slice 42 of 100
  {
    object { djb_Object rotate 41/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*41/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*41/djb_NSlices*y }
  }
  intersection // slice 43 of 100
  {
    object { djb_Object rotate 42/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*42/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*42/djb_NSlices*y }
  }
  intersection // slice 44 of 100
  {
    object { djb_Object rotate 43/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*43/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*43/djb_NSlices*y }
  }
  intersection // slice 45 of 100
  {
    object { djb_Object rotate 44/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*44/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*44/djb_NSlices*y }
  }
  intersection // slice 46 of 100
  {
    object { djb_Object rotate 45/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*45/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*45/djb_NSlices*y }
  }
  intersection // slice 47 of 100
  {
    object { djb_Object rotate 46/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*46/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*46/djb_NSlices*y }
  }
  intersection // slice 48 of 100
  {
    object { djb_Object rotate 47/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*47/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*47/djb_NSlices*y }
  }
  intersection // slice 49 of 100
  {
    object { djb_Object rotate 48/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*48/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*48/djb_NSlices*y }
  }
  intersection // slice 50 of 100
  {
    object { djb_Object rotate 49/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*49/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*49/djb_NSlices*y }
  }
  intersection // slice 51 of 100
  {
    object { djb_Object rotate 50/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*50/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*50/djb_NSlices*y }
  }
  intersection // slice 52 of 100
  {
    object { djb_Object rotate 51/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*51/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*51/djb_NSlices*y }
  }
  intersection // slice 53 of 100
  {
    object { djb_Object rotate 52/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*52/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*52/djb_NSlices*y }
  }
  intersection // slice 54 of 100
  {
    object { djb_Object rotate 53/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*53/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*53/djb_NSlices*y }
  }
  intersection // slice 55 of 100
  {
    object { djb_Object rotate 54/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*54/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*54/djb_NSlices*y }
  }
  intersection // slice 56 of 100
  {
    object { djb_Object rotate 55/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*55/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*55/djb_NSlices*y }
  }
  intersection // slice 57 of 100
  {
    object { djb_Object rotate 56/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*56/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*56/djb_NSlices*y }
  }
  intersection // slice 58 of 100
  {
    object { djb_Object rotate 57/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*57/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*57/djb_NSlices*y }
  }
  intersection // slice 59 of 100
  {
    object { djb_Object rotate 58/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*58/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*58/djb_NSlices*y }
  }
  intersection // slice 60 of 100
  {
    object { djb_Object rotate 59/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*59/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*59/djb_NSlices*y }
  }
  intersection // slice 61 of 100
  {
    object { djb_Object rotate 60/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*60/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*60/djb_NSlices*y }
  }
  intersection // slice 62 of 100
  {
    object { djb_Object rotate 61/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*61/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*61/djb_NSlices*y }
  }
  intersection // slice 63 of 100
  {
    object { djb_Object rotate 62/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*62/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*62/djb_NSlices*y }
  }
  intersection // slice 64 of 100
  {
    object { djb_Object rotate 63/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*63/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*63/djb_NSlices*y }
  }
  intersection // slice 65 of 100
  {
    object { djb_Object rotate 64/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*64/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*64/djb_NSlices*y }
  }
  intersection // slice 66 of 100
  {
    object { djb_Object rotate 65/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*65/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*65/djb_NSlices*y }
  }
  intersection // slice 67 of 100
  {
    object { djb_Object rotate 66/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*66/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*66/djb_NSlices*y }
  }
  intersection // slice 68 of 100
  {
    object { djb_Object rotate 67/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*67/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*67/djb_NSlices*y }
  }
  intersection // slice 69 of 100
  {
    object { djb_Object rotate 68/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*68/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*68/djb_NSlices*y }
  }
  intersection // slice 70 of 100
  {
    object { djb_Object rotate 69/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*69/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*69/djb_NSlices*y }
  }
  intersection // slice 71 of 100
  {
    object { djb_Object rotate 70/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*70/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*70/djb_NSlices*y }
  }
  intersection // slice 72 of 100
  {
    object { djb_Object rotate 71/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*71/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*71/djb_NSlices*y }
  }
  intersection // slice 73 of 100
  {
    object { djb_Object rotate 72/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*72/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*72/djb_NSlices*y }
  }
  intersection // slice 74 of 100
  {
    object { djb_Object rotate 73/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*73/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*73/djb_NSlices*y }
  }
  intersection // slice 75 of 100
  {
    object { djb_Object rotate 74/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*74/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*74/djb_NSlices*y }
  }
  intersection // slice 76 of 100
  {
    object { djb_Object rotate 75/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*75/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*75/djb_NSlices*y }
  }
  intersection // slice 77 of 100
  {
    object { djb_Object rotate 76/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*76/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*76/djb_NSlices*y }
  }
  intersection // slice 78 of 100
  {
    object { djb_Object rotate 77/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*77/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*77/djb_NSlices*y }
  }
  intersection // slice 79 of 100
  {
    object { djb_Object rotate 78/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*78/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*78/djb_NSlices*y }
  }
  intersection // slice 80 of 100
  {
    object { djb_Object rotate 79/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*79/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*79/djb_NSlices*y }
  }
  intersection // slice 81 of 100
  {
    object { djb_Object rotate 80/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*80/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*80/djb_NSlices*y }
  }
  intersection // slice 82 of 100
  {
    object { djb_Object rotate 81/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*81/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*81/djb_NSlices*y }
  }
  intersection // slice 83 of 100
  {
    object { djb_Object rotate 82/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*82/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*82/djb_NSlices*y }
  }
  intersection // slice 84 of 100
  {
    object { djb_Object rotate 83/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*83/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*83/djb_NSlices*y }
  }
  intersection // slice 85 of 100
  {
    object { djb_Object rotate 84/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*84/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*84/djb_NSlices*y }
  }
  intersection // slice 86 of 100
  {
    object { djb_Object rotate 85/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*85/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*85/djb_NSlices*y }
  }
  intersection // slice 87 of 100
  {
    object { djb_Object rotate 86/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*86/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*86/djb_NSlices*y }
  }
  intersection // slice 88 of 100
  {
    object { djb_Object rotate 87/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*87/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*87/djb_NSlices*y }
  }
  intersection // slice 89 of 100
  {
    object { djb_Object rotate 88/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*88/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*88/djb_NSlices*y }
  }
  intersection // slice 90 of 100
  {
    object { djb_Object rotate 89/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*89/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*89/djb_NSlices*y }
  }
  intersection // slice 91 of 100
  {
    object { djb_Object rotate 90/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*90/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*90/djb_NSlices*y }
  }
  intersection // slice 92 of 100
  {
    object { djb_Object rotate 91/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*91/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*91/djb_NSlices*y }
  }
  intersection // slice 93 of 100
  {
    object { djb_Object rotate 92/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*92/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*92/djb_NSlices*y }
  }
  intersection // slice 94 of 100
  {
    object { djb_Object rotate 93/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*93/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*93/djb_NSlices*y }
  }
  intersection // slice 95 of 100
  {
    object { djb_Object rotate 94/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*94/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*94/djb_NSlices*y }
  }
  intersection // slice 96 of 100
  {
    object { djb_Object rotate 95/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*95/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*95/djb_NSlices*y }
  }
  intersection // slice 97 of 100
  {
    object { djb_Object rotate 96/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*96/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*96/djb_NSlices*y }
  }
  intersection // slice 98 of 100
  {
    object { djb_Object rotate 97/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*97/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*97/djb_NSlices*y }
  }
  intersection // slice 99 of 100
  {
    object { djb_Object rotate 98/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*98/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*98/djb_NSlices*y }
  }
  intersection // slice 100 of 100
  {
    object { djb_Object rotate 99/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*99/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*99/djb_NSlices*y }
  }
    bounded_by { box { -(x+y+z), x+y+z scale 1.01 } }
} // union

