// POV-Ray version 2 scene file
// add you object here
// #declare ObjectToSlice = object { ... }

// #declare djb_MaxRot = 20 // You can change this

#declare djb_Object = object { ObjectToSlice }
#declare djb_NSlices = 20 // Don't touch!
#declare djb_1NSlices = 1/djb_NSlices // Don't touch!

#declare djb_Slice =
box
{
  <-1.5,0,-1.5> <1.5,djb_1NSlices,1.5>
  translate -0.5*y  scale <1,2,1> // move to bottom of cube
}

#declare djb_Bound =
box
{
  <-1.51,-0.01,-1.51> <1.51,djb_1NSlices+0.01,1.51>
  translate -0.5*y  scale <1,2,1> // move to bottom of cube
}
#declare djBox = union
{
  intersection // slice 1 of 20
  {
    object { djb_Object rotate 0/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*0/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*0/djb_NSlices*y }
  }
  intersection // slice 2 of 20
  {
    object { djb_Object rotate 1/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*1/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*1/djb_NSlices*y }
  }
  intersection // slice 3 of 20
  {
    object { djb_Object rotate 2/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*2/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*2/djb_NSlices*y }
  }
  intersection // slice 4 of 20
  {
    object { djb_Object rotate 3/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*3/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*3/djb_NSlices*y }
  }
  intersection // slice 5 of 20
  {
    object { djb_Object rotate 4/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*4/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*4/djb_NSlices*y }
  }
  intersection // slice 6 of 20
  {
    object { djb_Object rotate 5/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*5/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*5/djb_NSlices*y }
  }
  intersection // slice 7 of 20
  {
    object { djb_Object rotate 6/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*6/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*6/djb_NSlices*y }
  }
  intersection // slice 8 of 20
  {
    object { djb_Object rotate 7/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*7/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*7/djb_NSlices*y }
  }
  intersection // slice 9 of 20
  {
    object { djb_Object rotate 8/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*8/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*8/djb_NSlices*y }
  }
  intersection // slice 10 of 20
  {
    object { djb_Object rotate 9/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*9/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*9/djb_NSlices*y }
  }
  intersection // slice 11 of 20
  {
    object { djb_Object rotate 10/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*10/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*10/djb_NSlices*y }
  }
  intersection // slice 12 of 20
  {
    object { djb_Object rotate 11/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*11/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*11/djb_NSlices*y }
  }
  intersection // slice 13 of 20
  {
    object { djb_Object rotate 12/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*12/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*12/djb_NSlices*y }
  }
  intersection // slice 14 of 20
  {
    object { djb_Object rotate 13/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*13/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*13/djb_NSlices*y }
  }
  intersection // slice 15 of 20
  {
    object { djb_Object rotate 14/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*14/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*14/djb_NSlices*y }
  }
  intersection // slice 16 of 20
  {
    object { djb_Object rotate 15/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*15/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*15/djb_NSlices*y }
  }
  intersection // slice 17 of 20
  {
    object { djb_Object rotate 16/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*16/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*16/djb_NSlices*y }
  }
  intersection // slice 18 of 20
  {
    object { djb_Object rotate 17/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*17/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*17/djb_NSlices*y }
  }
  intersection // slice 19 of 20
  {
    object { djb_Object rotate 18/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*18/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*18/djb_NSlices*y }
  }
  intersection // slice 20 of 20
  {
    object { djb_Object rotate 19/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*19/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*19/djb_NSlices*y }
  }
    bounded_by { box { -(x+y+z), x+y+z scale 1.01 } }
} // union

