// POV-Ray version 2 scene file
// add you object here
// #declare ObjectToSlice = object { ... }

// #declare djb_MaxRot = 20 // You can change this

#declare djb_Object = object { ObjectToSlice }
#declare djb_NSlices = 50 // Don't touch!
#declare djb_1NSlices = 1/djb_NSlices // Don't touch!

#declare djb_Slice =
box
{
  <-1.5,0,-1.5> <1.5,djb_1NSlices,1.5>
  translate -0.5*y  scale <1,2,1> // move to bottom of cube
}

#declare djb_Bound =
box
{
  <-1.51,-0.01,-1.51> <1.51,djb_1NSlices+0.01,1.51>
  translate -0.5*y  scale <1,2,1> // move to bottom of cube
}
#declare djBox = union
{
  intersection // slice 1 of 50
  {
    object { djb_Object rotate 0/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*0/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*0/djb_NSlices*y }
  }
  intersection // slice 2 of 50
  {
    object { djb_Object rotate 1/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*1/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*1/djb_NSlices*y }
  }
  intersection // slice 3 of 50
  {
    object { djb_Object rotate 2/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*2/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*2/djb_NSlices*y }
  }
  intersection // slice 4 of 50
  {
    object { djb_Object rotate 3/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*3/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*3/djb_NSlices*y }
  }
  intersection // slice 5 of 50
  {
    object { djb_Object rotate 4/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*4/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*4/djb_NSlices*y }
  }
  intersection // slice 6 of 50
  {
    object { djb_Object rotate 5/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*5/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*5/djb_NSlices*y }
  }
  intersection // slice 7 of 50
  {
    object { djb_Object rotate 6/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*6/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*6/djb_NSlices*y }
  }
  intersection // slice 8 of 50
  {
    object { djb_Object rotate 7/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*7/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*7/djb_NSlices*y }
  }
  intersection // slice 9 of 50
  {
    object { djb_Object rotate 8/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*8/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*8/djb_NSlices*y }
  }
  intersection // slice 10 of 50
  {
    object { djb_Object rotate 9/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*9/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*9/djb_NSlices*y }
  }
  intersection // slice 11 of 50
  {
    object { djb_Object rotate 10/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*10/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*10/djb_NSlices*y }
  }
  intersection // slice 12 of 50
  {
    object { djb_Object rotate 11/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*11/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*11/djb_NSlices*y }
  }
  intersection // slice 13 of 50
  {
    object { djb_Object rotate 12/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*12/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*12/djb_NSlices*y }
  }
  intersection // slice 14 of 50
  {
    object { djb_Object rotate 13/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*13/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*13/djb_NSlices*y }
  }
  intersection // slice 15 of 50
  {
    object { djb_Object rotate 14/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*14/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*14/djb_NSlices*y }
  }
  intersection // slice 16 of 50
  {
    object { djb_Object rotate 15/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*15/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*15/djb_NSlices*y }
  }
  intersection // slice 17 of 50
  {
    object { djb_Object rotate 16/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*16/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*16/djb_NSlices*y }
  }
  intersection // slice 18 of 50
  {
    object { djb_Object rotate 17/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*17/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*17/djb_NSlices*y }
  }
  intersection // slice 19 of 50
  {
    object { djb_Object rotate 18/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*18/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*18/djb_NSlices*y }
  }
  intersection // slice 20 of 50
  {
    object { djb_Object rotate 19/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*19/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*19/djb_NSlices*y }
  }
  intersection // slice 21 of 50
  {
    object { djb_Object rotate 20/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*20/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*20/djb_NSlices*y }
  }
  intersection // slice 22 of 50
  {
    object { djb_Object rotate 21/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*21/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*21/djb_NSlices*y }
  }
  intersection // slice 23 of 50
  {
    object { djb_Object rotate 22/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*22/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*22/djb_NSlices*y }
  }
  intersection // slice 24 of 50
  {
    object { djb_Object rotate 23/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*23/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*23/djb_NSlices*y }
  }
  intersection // slice 25 of 50
  {
    object { djb_Object rotate 24/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*24/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*24/djb_NSlices*y }
  }
  intersection // slice 26 of 50
  {
    object { djb_Object rotate 25/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*25/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*25/djb_NSlices*y }
  }
  intersection // slice 27 of 50
  {
    object { djb_Object rotate 26/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*26/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*26/djb_NSlices*y }
  }
  intersection // slice 28 of 50
  {
    object { djb_Object rotate 27/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*27/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*27/djb_NSlices*y }
  }
  intersection // slice 29 of 50
  {
    object { djb_Object rotate 28/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*28/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*28/djb_NSlices*y }
  }
  intersection // slice 30 of 50
  {
    object { djb_Object rotate 29/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*29/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*29/djb_NSlices*y }
  }
  intersection // slice 31 of 50
  {
    object { djb_Object rotate 30/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*30/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*30/djb_NSlices*y }
  }
  intersection // slice 32 of 50
  {
    object { djb_Object rotate 31/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*31/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*31/djb_NSlices*y }
  }
  intersection // slice 33 of 50
  {
    object { djb_Object rotate 32/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*32/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*32/djb_NSlices*y }
  }
  intersection // slice 34 of 50
  {
    object { djb_Object rotate 33/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*33/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*33/djb_NSlices*y }
  }
  intersection // slice 35 of 50
  {
    object { djb_Object rotate 34/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*34/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*34/djb_NSlices*y }
  }
  intersection // slice 36 of 50
  {
    object { djb_Object rotate 35/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*35/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*35/djb_NSlices*y }
  }
  intersection // slice 37 of 50
  {
    object { djb_Object rotate 36/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*36/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*36/djb_NSlices*y }
  }
  intersection // slice 38 of 50
  {
    object { djb_Object rotate 37/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*37/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*37/djb_NSlices*y }
  }
  intersection // slice 39 of 50
  {
    object { djb_Object rotate 38/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*38/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*38/djb_NSlices*y }
  }
  intersection // slice 40 of 50
  {
    object { djb_Object rotate 39/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*39/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*39/djb_NSlices*y }
  }
  intersection // slice 41 of 50
  {
    object { djb_Object rotate 40/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*40/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*40/djb_NSlices*y }
  }
  intersection // slice 42 of 50
  {
    object { djb_Object rotate 41/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*41/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*41/djb_NSlices*y }
  }
  intersection // slice 43 of 50
  {
    object { djb_Object rotate 42/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*42/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*42/djb_NSlices*y }
  }
  intersection // slice 44 of 50
  {
    object { djb_Object rotate 43/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*43/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*43/djb_NSlices*y }
  }
  intersection // slice 45 of 50
  {
    object { djb_Object rotate 44/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*44/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*44/djb_NSlices*y }
  }
  intersection // slice 46 of 50
  {
    object { djb_Object rotate 45/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*45/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*45/djb_NSlices*y }
  }
  intersection // slice 47 of 50
  {
    object { djb_Object rotate 46/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*46/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*46/djb_NSlices*y }
  }
  intersection // slice 48 of 50
  {
    object { djb_Object rotate 47/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*47/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*47/djb_NSlices*y }
  }
  intersection // slice 49 of 50
  {
    object { djb_Object rotate 48/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*48/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*48/djb_NSlices*y }
  }
  intersection // slice 50 of 50
  {
    object { djb_Object rotate 49/djb_NSlices*djb_MaxRot*y }
    object { djb_Slice translate 2*49/djb_NSlices*y }
    bounded_by { djb_Bound translate 2*49/djb_NSlices*y }
  }
    bounded_by { box { -(x+y+z), x+y+z scale 1.01 } }
} // union

